Debian Bug report logs - #184482
lynx: doesn't accept text/xml MIME type

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Pierre THIERRY <nowhere.man@levallois.eu.org>

Date: Wed, 12 Mar 2003 17:33:09 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version lynx/2.8.4.1b-3.2

Fixed in version lynx/2.8.6-1

Done: warp@debian.org (Zephaniah E. Hull)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, lynx@packages.qa.debian.org:
Bug#184482; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Pierre THIERRY <pierre.thierry@moine-fou.org>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>, lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre THIERRY <pierre.thierry@moine-fou.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx doesn't accept text/xml MIME type
Date: Wed, 12 Mar 2003 18:28:35 +0100
[Message part 1 (text/plain, inline)]
Package: lynx
Version: 2.8.4.1b-3.2
Severity: grave
Justification: renders package unusable

When accessing to an XHTML page that is sent with text/html MIME type,
lynx renders it without probelm, but when it is sent with text/xml MIME
type, lynx dumps the XML source.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux imperatrice.arcanes 2.4.18-686 #1 Sun Apr 14 11:32:47 EST 2002 i686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro

Versions of packages lynx depends on:
ii  libc6                    2.2.5-11.2      GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand
ii  zlib1g                   1:1.1.4-1       compression library - runtime
[Message part 2 (application/pgp-signature, inline)]

Severity set to `normal'. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Pierre THIERRY <pierre.thierry@moine-fou.org>:
Bug#184482. Full text and rfc822 format available.

Message #14 received at 184482-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 184482-submitter@bugs.debian.org
Subject: re: #184482 - lynx: doesn't accept text/xml MIME type
Date: Mon, 27 Dec 2004 16:09:07 -0500
[Message part 1 (text/plain, inline)]
text/xml isn't html (not a bug).

If the user wants to circumvent the MIME types,
he should change his $HOME/.mime.types file.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#184482; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Pierre THIERRY <nowhere.man@levallois.eu.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #19 received at 184482-quiet@bugs.debian.org (full text, mbox):

From: Pierre THIERRY <nowhere.man@levallois.eu.org>
To: dickey@his.com, 184482-quiet@bugs.debian.org
Subject: yep
Date: Thu, 30 Dec 2004 18:17:49 +0100
[Message part 1 (text/plain, inline)]
> text/xml isn't html (not a bug).

Yes. It works with text/xhtml, though, but not yet with
application/xhtml+xml

> If the user wants to circumvent the MIME types, he should change his
> $HOME/.mime.types file.

User surely don't want to add a dirty hack to their configuration to
bypass a bug...

Regards,
Nowhere man
-- 
nowhere.man@levallois.eu.org
OpenPGP 0xD9D50D8A
[signature.asc (application/pgp-signature, inline)]

Message sent on to Pierre THIERRY <pierre.thierry@moine-fou.org>:
Bug#184482. Full text and rfc822 format available.

Message #22 received at 184482-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 184482-submitter@bugs.debian.org
Subject: Re: yep
Date: Thu, 30 Dec 2004 12:33:09 -0500 (EST)
On Thu, 30 Dec 2004, Pierre THIERRY wrote:

>> text/xml isn't html (not a bug).
>
> Yes. It works with text/xhtml, though, but not yet with
> application/xhtml+xml

That's a little surprising since lynx does have a built-in presentation 
type for the latter but not the former.  I used the latter on one of 
Debian's pages earlier this year.  Do you have a specific URL in mind for 
application/xhtml+xml which I could compare against?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#184482; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Pierre THIERRY <nowhere.man@levallois.eu.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #27 received at 184482-quiet@bugs.debian.org (full text, mbox):

From: Pierre THIERRY <nowhere.man@levallois.eu.org>
To: Thomas Dickey <dickey@his.com>, 184482-quiet@bugs.debian.org
Subject: Re: Bug#184482: yep
Date: Wed, 5 Jan 2005 15:59:17 +0100
[Message part 1 (text/plain, inline)]
>  Do you have a specific URL in mind for application/xhtml+xml which I
>  could compare against?

The two following URIs have application/xhtml+xml and text/xml,
respectively:

- http://arcanes.fr.eu.org/~pierre/test/bar
- http://arcanes.fr.eu.org/~pierre/test/bar?type=1

The latter is rendered as expected, but the former makes lynx ask if the
user want to download the file or cancel...

-- 
nowhere.man@levallois.eu.org
OpenPGP 0xD9D50D8A
[signature.asc (application/pgp-signature, inline)]

Message sent on to Pierre THIERRY <pierre.thierry@moine-fou.org>:
Bug#184482. Full text and rfc822 format available.

Message #30 received at 184482-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 184482-submitter@bugs.debian.org
Subject: Re: Bug#184482: yep
Date: Wed, 5 Jan 2005 17:41:39 -0500 (EST)
On Wed, 5 Jan 2005, Pierre THIERRY wrote:

>>  Do you have a specific URL in mind for application/xhtml+xml which I
>>  could compare against?
>
> The two following URIs have application/xhtml+xml and text/xml,
> respectively:
>
> - http://arcanes.fr.eu.org/~pierre/test/bar
> - http://arcanes.fr.eu.org/~pierre/test/bar?type=1

I couldn't connect to these, but now that my attention is focused on it,
googling for text/xml got some useful hits (which I didn't notice before
since my attention was on the RFC 3236).  Two that appear to be useful
here:

http://www.w3.org/TR/xhtml-media-types/
http://www.tantek.com/XHTML/Test/minimal.html

Adding a

    SET_INTERNL("text/xml", "www/present", HTMLPresent, 2.0);

to HTFormatInit() allows lynx to access the two text/xml examples on
the minimal.html page.  That'll be in 2.8.6dev.11 (a small patch this
time).

> The latter is rendered as expected, but the former makes lynx ask if the
> user want to download the file or cancel...

That's what I saw with minimal.html before adding the presentation type.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Bug reassigned from package `lynx' to `!'. Request was from Pierre THIERRY <nowhere.man@levallois.eu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `!' to `lynx'. Request was from Pierre THIERRY <nowhere.man@levallois.eu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.8.4.1b-3.2. Request was from Pierre THIERRY <nowhere.man@levallois.eu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Pierre THIERRY <pierre.thierry@moine-fou.org> to Pierre THIERRY <nowhere.man@levallois.eu.org>. Request was from Pierre THIERRY <nowhere.man@levallois.eu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to warp@debian.org (Zephaniah E. Hull):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pierre THIERRY <nowhere.man@levallois.eu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 184482-close@bugs.debian.org (full text, mbox):

From: warp@debian.org (Zephaniah E. Hull)
To: 184482-close@bugs.debian.org
Subject: Bug#184482: fixed in lynx 2.8.6-1
Date: Tue, 01 May 2007 06:17:03 +0000
Source: lynx
Source-Version: 2.8.6-1

We believe that the bug you reported is fixed in the latest version of
lynx, which is due to be installed in the Debian FTP archive:

lynx_2.8.6-1.diff.gz
  to pool/main/l/lynx/lynx_2.8.6-1.diff.gz
lynx_2.8.6-1.dsc
  to pool/main/l/lynx/lynx_2.8.6-1.dsc
lynx_2.8.6-1_amd64.deb
  to pool/main/l/lynx/lynx_2.8.6-1_amd64.deb
lynx_2.8.6.orig.tar.gz
  to pool/main/l/lynx/lynx_2.8.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 184482@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Zephaniah E. Hull <warp@debian.org> (supplier of updated lynx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 01 May 2007 01:43:17 -0400
Source: lynx
Binary: lynx
Architecture: source amd64
Version: 2.8.6-1
Distribution: unstable
Urgency: low
Maintainer: Zephaniah E. Hull <warp@debian.org>
Changed-By: Zephaniah E. Hull <warp@debian.org>
Description: 
 lynx       - Text-mode WWW Browser
Closes: 40435 67184 99400 120451 121520 132674 137480 141158 147287 152810 157088 171312 184482 188415 193205 204994 240237 244871 248092 252915 254515 265031 268264 271048 304989 313789 315853 318034 325478 343049 344275 374388 390918
Changes: 
 lynx (2.8.6-1) unstable; urgency=low
 .
   * Hijack the package.  I might not be great at it, but I do use it daily.
   * New upstream release.
     Closes: #254515, #137480, #67184, #99400, #132674, #141158, #40435,
     #120451, #157088, #204994, #244871, #248092, #268264, #271048, #318034,
     #343049, #390918, #240237, #313789, #171312, #193205, #252915, #265031,
     #121520, #152810, #188415, #344275, #374388, #184482, #315853
   * Uses the new upstream defaults. Closes: #325478, #147287.
   * Update 01_default-config.dpatch. (Offset changes only.)
   * Update 02_default-key-bindings.dpatch. (Upstream formatting changes.)
   * Kill 03_newer_gnutls.dpatch entirely.
     This was fixed upstream.  But this is also a GPL violation as we only ship
     the patch to configure, and not to configure.in, the source file.
   * Kill 04_CVE-2004-1617.dpatch. (Merged into upstream.)
   * Disable 05_FTBFS_on_GNUHurd_and_GNUkBSD (Upstream changes, file new bug if
     we FTBFS again.)
   * Removed configure arguments:
     --enable-8bit-toupper - Removed, no longer exists.
     --enable-persistent-cookies - Enabled by default.
     --enable-prettysrc - Enabled by default.
     --enable-source-cache - Enabled by default.
     --enable-read-eta - Enabled by default.
   * Added configure arguments:
     --enable-nsl-fork - fork NSL requests, allowing them to be aborted
     --enable-justify-elts - use element-justification logic
   * Update the contents and location of lynx.desktop. Closes: 304989.
   * Other things will be handled by later uploads, patches welcome.
Files: 
 5f2a3005f67b144c6093ae875957d5fe 605 web optional lynx_2.8.6-1.dsc
 2158041a3fdb5d094831da2c82cfcaba 3195728 web optional lynx_2.8.6.orig.tar.gz
 24699d4e88618f94d9dd2b3e88ca41ef 15521 web optional lynx_2.8.6-1.diff.gz
 e44c39690127312aa16149da5356ce4b 2010044 web optional lynx_2.8.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGNtYKRFMAi+ZaeAERAn6nAJ0SiaGd5zI4mt+sknbcH7M2/GWA1gCg2otr
gDdwPYjAsyQXG/udwapEPGA=
=6Lmp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 18:48:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:44:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.